
package presentacion;

import javax.swing.JPanel;

public abstract class PantallaOpcion extends JPanel{
    
      protected Controller controller;
      protected Object[] componentesJPanel = new Object[20];

    public abstract void inicializarPostInstanciar(Controller controller) throws Exception;   
    public abstract void responderAController(String actionCommand) throws Exception; 
    
    public void inicializarPantalla() throws Exception {
    }       

    public Object getComponenteJPanel(int componente) {
        return componentesJPanel[componente];
    }

    public void setComponenteJPanel(Object object, int componente) {
        componentesJPanel[componente] = object;
    }
}
